{% extends 'nav.html' %}
<!DOCTYPE html>
<html lang="eng">
    <head>
        <title>
        </title>
    </head>
    <body>
        <header>
        </header>
        <main>
            {% block content %}
                <div>
                    <h1>My Tasks</h1>
                    {% if task_list %}
                        <table>
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Start date</th>
                                    <th>End date</th>
                                    <th>Is completed</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for task in task_list %}
                                    <tr>
                                        <td>{{ task.name }}</td>
                                        <td>{{ task.start_date }}</td>
                                        <td>{{ task.due_date }}</td>
                                        <td>{% if task.is_completed == True %}
                                            Done
                                        {% else %}
                                            <form method="post" action="{% url 'complete_task' task.id %}">
                                                {% csrf_token %}
                                                <input type="hidden" name="is_completed" value="True">
                                                <button>Complete</button>
                                            </form>
                                        {% endif %}
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    {% else %}
                        <p>You have no tasks</p>
                    {% endif %}
                </div>
            {% endblock content %}
        </main>
        <footer>
        </footer>
    </body>
</html>